Data - Retrieve Performance Counters
Retrieves the list of performance counters associated with the specified entity ID.
GET http://<Servername>/OperationsManager/data/performanceCounters/{entityId}
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
entity
|
path | True |
string |
Specify the Entity ID |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK.Successfully retrieved performance counters. Media Types: "application/json", "text/json", "application/xml", "text/xml" |
Examples
RetrievePerformanceCounters
Sample request
GET http://<Servername>/OperationsManager/data/performanceCounters/38D48350-6BBC-D158-E217-2237AF53D611
Sample response
{
"tableColumns": [
{
"field": "objectname",
"header": "ObjectName",
"type": null,
"hidden": false
},
{
"field": "countername",
"header": "CounterName",
"type": null,
"hidden": false
},
{
"field": "instancename",
"header": "InstanceName",
"type": null,
"hidden": false
}
],
"rows": [
{
"objectname": "Process",
"countername": "Percent Processor Time",
"instancename": "cshost"
},
{
"objectname": "Process",
"countername": "Private Bytes",
"instancename": "cshost"
}
]
}
Definitions
| Name | Description |
|---|---|
|
Performance |
|
|
Performance |
PerformanceCounterData
| Name | Type | Description |
|---|---|---|
| counterName |
string |
Counter Name |
| instanceName |
string |
instance Name |
| objectFullName |
string |
Object Full Name |
| objectId |
string |
Object ID |
| objectName |
string |
Object Name |
| parentObjectId |
string |
parent Object ID |
PerformanceCounterDataResponse
| Name | Type | Description |
|---|---|---|
| performanceCounterDatas |
List of performance Counters |